Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_dh.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_dh.F90	(revision 8564)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_dh.F90	(revision 8565)
@@ -117,8 +117,8 @@
 
       ! initialize layer thicknesses and enthalpies
-      h_i_old (1:nidx,0:nlay_i+1) = 0._wp
-      eh_i_old(1:nidx,0:nlay_i+1) = 0._wp
+      h_i_old (1:npti,0:nlay_i+1) = 0._wp
+      eh_i_old(1:npti,0:nlay_i+1) = 0._wp
       DO jk = 1, nlay_i
-         DO ji = 1, nidx
+         DO ji = 1, npti
             h_i_old (ji,jk) = h_i_1d(ji) * r1_nlay_i
             eh_i_old(ji,jk) = e_i_1d(ji,jk) * h_i_old(ji,jk)
@@ -130,5 +130,5 @@
       !------------------------------------------------------------------------------!
       !
-      DO ji = 1, nidx
+      DO ji = 1, npti
          zdum       = qns_ice_1d(ji) + ( 1._wp - i0(ji) ) * qsr_ice_1d(ji) - fc_su(ji) 
          zf_tt(ji)  = fc_bo_i(ji) + fhtur_1d(ji) + fhld_1d(ji) 
@@ -142,5 +142,5 @@
       ! (should not happen but sometimes it does)
       !------------------------------------------------------------------------------!
-      DO ji = 1, nidx
+      DO ji = 1, npti
          IF( t_s_1d(ji,1) > rt0 ) THEN !!! Internal melting
             ! Contribution to heat flux to the ocean [W.m-2], < 0  
@@ -159,5 +159,5 @@
       !------------------------------------------------------------!
       DO jk = 1, nlay_i
-         DO ji = 1, nidx
+         DO ji = 1, npti
             zh_i(ji,jk) = h_i_1d(ji) * r1_nlay_i
             zeh_i(ji)   = zeh_i(ji) + e_i_1d(ji,jk) * zh_i(ji,jk)
@@ -183,8 +183,8 @@
       ! Martin Vancoppenolle, December 2006
 
-      CALL ice_thd_snwblow( 1. - at_i_1d(1:nidx), zsnw(1:nidx) ) ! snow distribution over ice after wind blowing
-
-      zdeltah(1:nidx,:) = 0._wp
-      DO ji = 1, nidx
+      CALL ice_thd_snwblow( 1. - at_i_1d(1:npti), zsnw(1:npti) ) ! snow distribution over ice after wind blowing
+
+      zdeltah(1:npti,:) = 0._wp
+      DO ji = 1, npti
          !-----------
          ! Snow fall
@@ -220,8 +220,8 @@
 
       ! If heat still available (zq_su > 0), then melt more snow
-      zdeltah(1:nidx,:) = 0._wp
-      zdh_s_mel(1:nidx) = 0._wp
+      zdeltah(1:npti,:) = 0._wp
+      zdh_s_mel(1:npti) = 0._wp
       DO jk = 1, nlay_s
-         DO ji = 1, nidx
+         DO ji = 1, npti
             ! thickness change
             rswitch          = 1._wp - MAX( 0._wp, SIGN( 1._wp, - h_s_1d(ji) ) ) 
@@ -245,6 +245,6 @@
       ! qla_ice is always >=0 (upwards), heat goes to the atmosphere, therefore snow sublimates
       ! clem comment: not counted in mass/heat exchange in iceupdate.F90 since this is an exchange with atm. (not ocean)
-      zdeltah(1:nidx,:) = 0._wp
-      DO ji = 1, nidx
+      zdeltah(1:npti,:) = 0._wp
+      DO ji = 1, npti
          zdh_s_sub(ji)  = MAX( - h_s_1d(ji) , - evap_ice_1d(ji) * r1_rhosn * rdt_ice )
          ! remaining evap in kg.m-2 (used for ice melting later on)
@@ -265,5 +265,5 @@
       
       ! --- Update snow diags --- !
-      DO ji = 1, nidx
+      DO ji = 1, npti
          dh_s_tot(ji) = zdh_s_mel(ji) + zdh_s_pre(ji) + zdh_s_sub(ji)
       END DO
@@ -274,5 +274,5 @@
       ! new temp and enthalpy of the snow (remaining snow precip + remaining pre-existing snow)
       DO jk = 1, nlay_s
-         DO ji = 1,nidx
+         DO ji = 1,npti
             rswitch       = MAX( 0._wp , SIGN( 1._wp, h_s_1d(ji) - epsi20 ) )
             e_s_1d(ji,jk) = rswitch / MAX( h_s_1d(ji), epsi20 ) *           &
@@ -285,7 +285,7 @@
       ! 3.4 Surface ice ablation 
       !--------------------------
-      zdeltah(1:nidx,:) = 0._wp ! important
+      zdeltah(1:npti,:) = 0._wp ! important
       DO jk = 1, nlay_i
-         DO ji = 1, nidx
+         DO ji = 1, npti
             ztmelts           = - tmut * sz_i_1d(ji,jk)          ! Melting point of layer k [C]
             
@@ -375,10 +375,10 @@
       END DO
       ! update ice thickness
-      DO ji = 1, nidx
+      DO ji = 1, npti
          h_i_1d(ji) =  MAX( 0._wp , h_i_1d(ji) + dh_i_surf(ji) + dh_i_sub(ji) )
       END DO
 
       ! remaining "potential" evap is sent to ocean
-      DO ji = 1, nidx
+      DO ji = 1, npti
          wfx_err_sub_1d(ji) = wfx_err_sub_1d(ji) - zevap_rema(ji) * a_i_1d(ji) * r1_rdtice  ! <=0 (net evap for the ocean in kg.m-2.s-1)
       END DO
@@ -407,5 +407,5 @@
       
       ! Iterative procedure
-      DO ji = 1, nidx
+      DO ji = 1, npti
          IF(  zf_tt(ji) < 0._wp  ) THEN
             DO iter = 1, num_iter_max
@@ -478,7 +478,7 @@
       ! 4.2 Basal melt
       !----------------
-      zdeltah(1:nidx,:) = 0._wp ! important
+      zdeltah(1:npti,:) = 0._wp ! important
       DO jk = nlay_i, 1, -1
-         DO ji = 1, nidx
+         DO ji = 1, npti
             IF(  zf_tt(ji)  >  0._wp  .AND. jk > icount(ji,jk) ) THEN   ! do not calculate where layer has already disappeared by surface melting 
 
@@ -554,5 +554,5 @@
       ! Update temperature, energy
       !-------------------------------------------
-      DO ji = 1, nidx
+      DO ji = 1, npti
          h_i_1d(ji) =  MAX( 0._wp , h_i_1d(ji) + dh_i_bott(ji) )
       END DO  
@@ -563,6 +563,6 @@
       ! If heat still available for melting and snow remains, then melt more snow
       !-------------------------------------------
-      zdeltah(1:nidx,:) = 0._wp ! important
-      DO ji = 1, nidx
+      zdeltah(1:npti,:) = 0._wp ! important
+      DO ji = 1, npti
          zq_rema(ji)     = zq_su(ji) + zq_bo(ji) 
          rswitch         = 1._wp - MAX( 0._wp, SIGN( 1._wp, - h_s_1d(ji) ) )   ! =1 if snow
@@ -592,5 +592,5 @@
       ! flooding of seawater transforms snow into ice dh_snowice is positive for the ice
       z1_rho = 1._wp / ( rhosn+rau0-rhoic )
-      DO ji = 1, nidx
+      DO ji = 1, npti
          !
          dh_snowice(ji) = MAX(  0._wp , ( rhosn * h_s_1d(ji) + (rhoic-rau0) * h_i_1d(ji) ) * z1_rho )
@@ -631,5 +631,5 @@
       ! Update temperature, energy
       !-------------------------------------------
-      DO ji = 1, nidx
+      DO ji = 1, npti
          rswitch     =  1.0 - MAX( 0._wp , SIGN( 1._wp , - h_i_1d(ji) ) ) 
          t_su_1d(ji) =  rswitch * t_su_1d(ji) + ( 1.0 - rswitch ) * rt0
@@ -637,5 +637,5 @@
 
       DO jk = 1, nlay_s
-         DO ji = 1,nidx
+         DO ji = 1,npti
             ! mask enthalpy
             rswitch       = 1._wp - MAX(  0._wp , SIGN( 1._wp, - h_s_1d(ji) )  )
@@ -647,5 +647,5 @@
 
       ! --- ensure that a_i = 0 where h_i = 0 ---
-      WHERE( h_i_1d(1:nidx) == 0._wp )   a_i_1d(1:nidx) = 0._wp
+      WHERE( h_i_1d(1:npti) == 0._wp )   a_i_1d(1:npti) = 0._wp
       !
    END SUBROUTINE ice_thd_dh
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_do.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_do.F90	(revision 8564)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_do.F90	(revision 8565)
@@ -222,10 +222,10 @@
       !-------------------------------------
       ! This occurs if open water energy budget is negative (cooling) and there is no landfast ice
-      nidx = 0 ; idxice(:) = 0
+      npti = 0 ; nptidx(:) = 0
       DO jj = 1, jpj
          DO ji = 1, jpi
             IF ( qlead(ji,jj)  <  0._wp .AND. tau_icebfr(ji,jj) == 0._wp ) THEN
-               nidx = nidx + 1
-               idxice( nidx ) = (jj - 1) * jpi + ji
+               npti = npti + 1
+               nptidx( npti ) = (jj - 1) * jpi + ji
             ENDIF
          END DO
@@ -237,26 +237,26 @@
       ! If ocean gains heat do nothing. Otherwise compute new ice formation
 
-      IF ( nidx > 0 ) THEN
-
-         CALL tab_2d_1d( nidx, idxice(1:nidx), at_i_1d(1:nidx)      , at_i        )
-         CALL tab_3d_2d( nidx, idxice(1:nidx), a_i_2d (1:nidx,1:jpl), a_i (:,:,:) )
-         CALL tab_3d_2d( nidx, idxice(1:nidx), v_i_2d (1:nidx,1:jpl), v_i (:,:,:) )
-         CALL tab_3d_2d( nidx, idxice(1:nidx), sv_i_2d(1:nidx,1:jpl), sv_i(:,:,:) )
+      IF ( npti > 0 ) THEN
+
+         CALL tab_2d_1d( npti, nptidx(1:npti), at_i_1d(1:npti)      , at_i        )
+         CALL tab_3d_2d( npti, nptidx(1:npti), a_i_2d (1:npti,1:jpl), a_i (:,:,:) )
+         CALL tab_3d_2d( npti, nptidx(1:npti), v_i_2d (1:npti,1:jpl), v_i (:,:,:) )
+         CALL tab_3d_2d( npti, nptidx(1:npti), sv_i_2d(1:npti,1:jpl), sv_i(:,:,:) )
          DO jl = 1, jpl
             DO jk = 1, nlay_i
-               CALL tab_2d_1d( nidx, idxice(1:nidx), ze_i_2d(1:nidx,jk,jl), e_i(:,:,jk,jl) )
-            END DO
-         END DO
-         CALL tab_2d_1d( nidx, idxice(1:nidx), qlead_1d  (1:nidx) , qlead       )
-         CALL tab_2d_1d( nidx, idxice(1:nidx), t_bo_1d   (1:nidx) , t_bo        )
-         CALL tab_2d_1d( nidx, idxice(1:nidx), sfx_opw_1d(1:nidx) , sfx_opw     )
-         CALL tab_2d_1d( nidx, idxice(1:nidx), wfx_opw_1d(1:nidx) , wfx_opw     )
-         CALL tab_2d_1d( nidx, idxice(1:nidx), zh_newice (1:nidx) , ht_i_new    )
-         CALL tab_2d_1d( nidx, idxice(1:nidx), zvrel_1d  (1:nidx) , zvrel       )
-
-         CALL tab_2d_1d( nidx, idxice(1:nidx), hfx_thd_1d(1:nidx) , hfx_thd     )
-         CALL tab_2d_1d( nidx, idxice(1:nidx), hfx_opw_1d(1:nidx) , hfx_opw     )
-         CALL tab_2d_1d( nidx, idxice(1:nidx), rn_amax_1d(1:nidx) , rn_amax_2d  )
-         CALL tab_2d_1d( nidx, idxice(1:nidx), sss_1d    (1:nidx) , sss_m       )
+               CALL tab_2d_1d( npti, nptidx(1:npti), ze_i_2d(1:npti,jk,jl), e_i(:,:,jk,jl) )
+            END DO
+         END DO
+         CALL tab_2d_1d( npti, nptidx(1:npti), qlead_1d  (1:npti) , qlead       )
+         CALL tab_2d_1d( npti, nptidx(1:npti), t_bo_1d   (1:npti) , t_bo        )
+         CALL tab_2d_1d( npti, nptidx(1:npti), sfx_opw_1d(1:npti) , sfx_opw     )
+         CALL tab_2d_1d( npti, nptidx(1:npti), wfx_opw_1d(1:npti) , wfx_opw     )
+         CALL tab_2d_1d( npti, nptidx(1:npti), zh_newice (1:npti) , ht_i_new    )
+         CALL tab_2d_1d( npti, nptidx(1:npti), zvrel_1d  (1:npti) , zvrel       )
+
+         CALL tab_2d_1d( npti, nptidx(1:npti), hfx_thd_1d(1:npti) , hfx_thd     )
+         CALL tab_2d_1d( npti, nptidx(1:npti), hfx_opw_1d(1:npti) , hfx_opw     )
+         CALL tab_2d_1d( npti, nptidx(1:npti), rn_amax_1d(1:npti) , rn_amax_2d  )
+         CALL tab_2d_1d( npti, nptidx(1:npti), sss_1d    (1:npti) , sss_m       )
 
          !------------------------------------------------------------------------------|
@@ -265,8 +265,8 @@
          DO jl = 1, jpl
             DO jk = 1, nlay_i               
-               WHERE( v_i_2d(1:nidx,jl) > 0._wp )
-                  ze_i_2d(1:nidx,jk,jl) = ze_i_2d(1:nidx,jk,jl) / v_i_2d(1:nidx,jl) * REAL( nlay_i )
+               WHERE( v_i_2d(1:npti,jl) > 0._wp )
+                  ze_i_2d(1:npti,jk,jl) = ze_i_2d(1:npti,jk,jl) / v_i_2d(1:npti,jl) * REAL( nlay_i )
                ELSEWHERE
-                  ze_i_2d(1:nidx,jk,jl) = 0._wp
+                  ze_i_2d(1:npti,jk,jl) = 0._wp
                END WHERE
             END DO
@@ -279,6 +279,6 @@
          ! Keep old ice areas and volume in memory
          !-----------------------------------------
-         zv_b(1:nidx,:) = v_i_2d(1:nidx,:) 
-         za_b(1:nidx,:) = a_i_2d(1:nidx,:)
+         zv_b(1:npti,:) = v_i_2d(1:npti,:) 
+         za_b(1:npti,:) = a_i_2d(1:npti,:)
 
          !----------------------
@@ -287,11 +287,11 @@
          SELECT CASE ( nn_icesal )
          CASE ( 1 )                    ! Sice = constant 
-            zs_newice(1:nidx) = rn_icesal
+            zs_newice(1:npti) = rn_icesal
          CASE ( 2 )                    ! Sice = F(z,t) [Vancoppenolle et al (2005)]
-            DO ji = 1, nidx
+            DO ji = 1, npti
                zs_newice(ji) = MIN(  4.606 + 0.91 / zh_newice(ji) , rn_simax , 0.5 * sss_1d(ji) )
             END DO
          CASE ( 3 )                    ! Sice = F(z) [multiyear ice]
-            zs_newice(1:nidx) =   2.3
+            zs_newice(1:npti) =   2.3
          END SELECT
 
@@ -300,5 +300,5 @@
          !-------------------------
          ! We assume that new ice is formed at the seawater freezing point
-         DO ji = 1, nidx
+         DO ji = 1, npti
             ztmelts       = - tmut * zs_newice(ji)                  ! Melting point (C)
             ze_newice(ji) =   rhoic * (  cpic * ( ztmelts - ( t_bo_1d(ji) - rt0 ) )                     &
@@ -310,10 +310,10 @@
          ! Age of new ice
          !----------------
-         zo_newice(1:nidx) = 0._wp
+         zo_newice(1:npti) = 0._wp
 
          !-------------------
          ! Volume of new ice
          !-------------------
-         DO ji = 1, nidx
+         DO ji = 1, npti
 
             zEi           = - ze_newice(ji) * r1_rhoic             ! specific enthalpy of forming ice [J/kg]
@@ -340,8 +340,8 @@
          END DO
          
-         zv_frazb(1:nidx) = 0._wp
+         zv_frazb(1:npti) = 0._wp
          IF( ln_frazil ) THEN
             ! A fraction zfrazb of frazil ice is accreted at the ice bottom
-            DO ji = 1, nidx
+            DO ji = 1, npti
                rswitch       = 1._wp - MAX( 0._wp, SIGN( 1._wp , - at_i_1d(ji) ) )
                zfrazb        = rswitch * ( TANH( rn_Cfraz * ( zvrel_1d(ji) - rn_vfraz ) ) + 1.0 ) * 0.5 * rn_maxfraz
@@ -354,5 +354,5 @@
          ! Area of new ice
          !-----------------
-         DO ji = 1, nidx
+         DO ji = 1, npti
             za_newice(ji) = zv_newice(ji) / zh_newice(ji)
          END DO
@@ -367,5 +367,5 @@
          ! If lateral ice growth gives an ice concentration gt 1, then
          ! we keep the excessive volume in memory and attribute it later to bottom accretion
-         DO ji = 1, nidx
+         DO ji = 1, npti
             IF ( za_newice(ji) >  ( rn_amax_1d(ji) - at_i_1d(ji) ) ) THEN
                zda_res(ji)   = za_newice(ji) - ( rn_amax_1d(ji) - at_i_1d(ji) )
@@ -381,5 +381,5 @@
          ! find which category to fill
          DO jl = 1, jpl
-            DO ji = 1, nidx
+            DO ji = 1, npti
                IF( zh_newice(ji) > hi_max(jl-1) .AND. zh_newice(ji) <= hi_max(jl) ) THEN
                   a_i_2d(ji,jl) = a_i_2d(ji,jl) + za_newice(ji)
@@ -389,8 +389,8 @@
             END DO
          END DO
-         at_i_1d(1:nidx) = SUM( a_i_2d(1:nidx,:), dim=2 )
+         at_i_1d(1:npti) = SUM( a_i_2d(1:npti,:), dim=2 )
 
          ! Heat content
-         DO ji = 1, nidx
+         DO ji = 1, npti
             jl = jcat(ji)                                                    ! categroy in which new ice is put
             zswinew  (ji) = MAX( 0._wp , SIGN( 1._wp , - za_b(ji,jl) ) )   ! 0 if old ice
@@ -398,5 +398,5 @@
 
          DO jk = 1, nlay_i
-            DO ji = 1, nidx
+            DO ji = 1, npti
                jl = jcat(ji)
                rswitch = MAX( 0._wp, SIGN( 1._wp , v_i_2d(ji,jl) - epsi20 ) )
@@ -413,8 +413,8 @@
 
             ! for remapping
-            h_i_old (1:nidx,0:nlay_i+1) = 0._wp
-            eh_i_old(1:nidx,0:nlay_i+1) = 0._wp
+            h_i_old (1:npti,0:nlay_i+1) = 0._wp
+            eh_i_old(1:npti,0:nlay_i+1) = 0._wp
             DO jk = 1, nlay_i
-               DO ji = 1, nidx
+               DO ji = 1, npti
                   h_i_old (ji,jk) = v_i_2d(ji,jl) * r1_nlay_i
                   eh_i_old(ji,jk) = ze_i_2d(ji,jk,jl) * h_i_old(ji,jk)
@@ -423,5 +423,5 @@
 
             ! new volumes including lateral/bottom accretion + residual
-            DO ji = 1, nidx
+            DO ji = 1, npti
                rswitch        = MAX( 0._wp, SIGN( 1._wp , at_i_1d(ji) - epsi20 ) )
                zv_newfra     = rswitch * ( zdv_res(ji) + zv_frazb(ji) ) * a_i_2d(ji,jl) / MAX( at_i_1d(ji) , epsi20 )
@@ -433,5 +433,5 @@
             ENDDO
             ! --- Ice enthalpy remapping --- !
-            CALL ice_thd_ent( ze_i_2d(1:nidx,:,jl) ) 
+            CALL ice_thd_ent( ze_i_2d(1:npti,:,jl) ) 
          ENDDO
 
@@ -440,5 +440,5 @@
          !-----------------
          DO jl = 1, jpl
-            DO ji = 1, nidx
+            DO ji = 1, npti
                sv_i_2d(ji,jl) = sv_i_2d(ji,jl) + zs_newice(ji) * ( v_i_2d(ji,jl) - zv_b(ji,jl) )
             END DO
@@ -450,5 +450,5 @@
          DO jl = 1, jpl
             DO jk = 1, nlay_i
-               ze_i_2d(1:nidx,jk,jl) = ze_i_2d(1:nidx,jk,jl) * v_i_2d(1:nidx,jl) * r1_nlay_i 
+               ze_i_2d(1:npti,jk,jl) = ze_i_2d(1:npti,jk,jl) * v_i_2d(1:npti,jl) * r1_nlay_i 
             END DO
          END DO
@@ -456,18 +456,18 @@
          ! 7) Change 2D vectors to 1D vectors 
          !------------------------------------------------------------------------------!
-         CALL tab_2d_3d( nidx, idxice(1:nidx), a_i_2d (1:nidx,1:jpl), a_i (:,:,:) )
-         CALL tab_2d_3d( nidx, idxice(1:nidx), v_i_2d (1:nidx,1:jpl), v_i (:,:,:) )
-         CALL tab_2d_3d( nidx, idxice(1:nidx), sv_i_2d(1:nidx,1:jpl), sv_i(:,:,:) )
+         CALL tab_2d_3d( npti, nptidx(1:npti), a_i_2d (1:npti,1:jpl), a_i (:,:,:) )
+         CALL tab_2d_3d( npti, nptidx(1:npti), v_i_2d (1:npti,1:jpl), v_i (:,:,:) )
+         CALL tab_2d_3d( npti, nptidx(1:npti), sv_i_2d(1:npti,1:jpl), sv_i(:,:,:) )
           DO jl = 1, jpl
             DO jk = 1, nlay_i
-               CALL tab_1d_2d( nidx, idxice(1:nidx), ze_i_2d(1:nidx,jk,jl), e_i(:,:,jk,jl) )
-            END DO
-         END DO
-         CALL tab_1d_2d( nidx, idxice(1:nidx), sfx_opw_1d(1:nidx), sfx_opw )
-         CALL tab_1d_2d( nidx, idxice(1:nidx), wfx_opw_1d(1:nidx), wfx_opw )
-         CALL tab_1d_2d( nidx, idxice(1:nidx), hfx_thd_1d(1:nidx), hfx_thd )
-         CALL tab_1d_2d( nidx, idxice(1:nidx), hfx_opw_1d(1:nidx), hfx_opw )
+               CALL tab_1d_2d( npti, nptidx(1:npti), ze_i_2d(1:npti,jk,jl), e_i(:,:,jk,jl) )
+            END DO
+         END DO
+         CALL tab_1d_2d( npti, nptidx(1:npti), sfx_opw_1d(1:npti), sfx_opw )
+         CALL tab_1d_2d( npti, nptidx(1:npti), wfx_opw_1d(1:npti), wfx_opw )
+         CALL tab_1d_2d( npti, nptidx(1:npti), hfx_thd_1d(1:npti), hfx_thd )
+         CALL tab_1d_2d( npti, nptidx(1:npti), hfx_opw_1d(1:npti), hfx_opw )
          !
-      ENDIF ! nidx > 0
+      ENDIF ! npti > 0
       !
       IF( ln_icediachk )   CALL ice_cons_hsm(1, 'icethd_do', rdiag_v, rdiag_s, rdiag_t, rdiag_fv, rdiag_fs, rdiag_ft)
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_ent.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_ent.F90	(revision 8564)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_ent.F90	(revision 8565)
@@ -78,8 +78,8 @@
       !  1) Cumulative integral of old enthalpy * thickness and layers interfaces
       !--------------------------------------------------------------------------
-      zeh_cum0(1:nidx,0) = 0._wp 
-      zh_cum0 (1:nidx,0) = 0._wp
+      zeh_cum0(1:npti,0) = 0._wp 
+      zh_cum0 (1:npti,0) = 0._wp
       DO jk0 = 1, nlay_i+2
-         DO ji = 1, nidx
+         DO ji = 1, npti
             zeh_cum0(ji,jk0) = zeh_cum0(ji,jk0-1) + eh_i_old(ji,jk0-1)
             zh_cum0 (ji,jk0) = zh_cum0 (ji,jk0-1) + h_i_old (ji,jk0-1)
@@ -91,21 +91,21 @@
       !------------------------------------
       ! new layer thickesses
-      DO ji = 1, nidx
+      DO ji = 1, npti
          zhnew(ji) = SUM( h_i_old(ji,0:nlay_i+1) ) * r1_nlay_i  
       END DO
 
       ! new layers interfaces
-      zh_cum1(1:nidx,0) = 0._wp
+      zh_cum1(1:npti,0) = 0._wp
       DO jk1 = 1, nlay_i
-         DO ji = 1, nidx
+         DO ji = 1, npti
             zh_cum1(ji,jk1) = zh_cum1(ji,jk1-1) + zhnew(ji)
          END DO
       END DO
 
-      zeh_cum1(1:nidx,0) = 0._wp 
+      zeh_cum1(1:npti,0) = 0._wp 
       ! new cumulative q*h => linear interpolation
       DO jk0 = 1, nlay_i+1
          DO jk1 = 1, nlay_i-1
-            DO ji = 1, nidx
+            DO ji = 1, npti
                IF( zh_cum1(ji,jk1) <= zh_cum0(ji,jk0) .AND. zh_cum1(ji,jk1) > zh_cum0(ji,jk0-1) ) THEN
                   zeh_cum1(ji,jk1) = ( zeh_cum0(ji,jk0-1) * ( zh_cum0(ji,jk0) - zh_cum1(ji,jk1  ) ) +  &
@@ -117,9 +117,9 @@
       END DO
       ! to ensure that total heat content is strictly conserved, set:
-      zeh_cum1(1:nidx,nlay_i) = zeh_cum0(1:nidx,nlay_i+2) 
+      zeh_cum1(1:npti,nlay_i) = zeh_cum0(1:npti,nlay_i+2) 
 
       ! new enthalpies
       DO jk1 = 1, nlay_i
-         DO ji = 1, nidx
+         DO ji = 1, npti
             rswitch      = MAX( 0._wp , SIGN( 1._wp , zhnew(ji) - epsi20 ) ) 
             qnew(ji,jk1) = rswitch * ( zeh_cum1(ji,jk1) - zeh_cum1(ji,jk1-1) ) / MAX( zhnew(ji), epsi20 )
@@ -130,5 +130,5 @@
       ! comment: if input h_i_old and eh_i_old are already multiplied by a_i (as in icethd_do), 
       ! then we should not (* a_i) again but not important since this is just to check that remap error is ~0
-      DO ji = 1, nidx
+      DO ji = 1, npti
          hfx_err_rem_1d(ji) = hfx_err_rem_1d(ji) + a_i_1d(ji) * r1_rdtice *  &
             &               ( SUM( qnew(ji,1:nlay_i) ) * zhnew(ji) - SUM( eh_i_old(ji,0:nlay_i+1) ) ) 
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_sal.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_sal.F90	(revision 8564)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_sal.F90	(revision 8565)
@@ -70,5 +70,5 @@
          z1_time_fl = 1._wp / rn_time_fl * rdt_ice
          !
-         DO ji = 1, nidx
+         DO ji = 1, npti
 
             !---------------------------------------------------------
